package com.lightinit.hsdataplatform.model.admin;

import java.util.Date;
import java.util.List;

public class RelationshipManageViewModel {
    private Date createdAt;
    private String resourceType;
    /*覆盖范围*/
    /*服务对象*/
    private String chargeMethod;
    /*服务商*/
    /*服务分类*/
    private String themeName;
    private String sectorName;
    private String customName;
    private String basicName;

    /*服务标签*/
    private String tag;
    /*资源站点*/

    /*提供方式*/
    private String provider1;
    private String provider2;
    private String provider3;
    private Long interfaceId ;
    /*授权属性*/
    /*输入项*/
    /*输出项*/
    //输入参数
    private List<ResourceAPIRegisterAddAPIInterfaceInputModel> interfaceInputModelList ;

    //输出参数
    private List<ResourceAPIRegisterAddAPIInterfaceOutputModel> interfaceOutputModelList ;

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getBasicName() {
        return basicName;
    }

    public void setBasicName(String basicName) {
        this.basicName = basicName;
    }

    public String getProvider1() {
        return provider1;
    }

    public void setProvider1(String provider1) {
        this.provider1 = provider1;
    }

    public String getProvider2() {
        return provider2;
    }

    public void setProvider2(String provider2) {
        this.provider2 = provider2;
    }

    public String getProvider3() {
        return provider3;
    }

    public void setProvider3(String provider3) {
        this.provider3 = provider3;
    }

    public List<ResourceAPIRegisterAddAPIInterfaceInputModel> getInterfaceInputModelList() {
        return interfaceInputModelList;
    }

    public void setInterfaceInputModelList(List<ResourceAPIRegisterAddAPIInterfaceInputModel> interfaceInputModelList) {
        this.interfaceInputModelList = interfaceInputModelList;
    }

    public List<ResourceAPIRegisterAddAPIInterfaceOutputModel> getInterfaceOutputModelList() {
        return interfaceOutputModelList;
    }

    public void setInterfaceOutputModelList(List<ResourceAPIRegisterAddAPIInterfaceOutputModel> interfaceOutputModelList) {
        this.interfaceOutputModelList = interfaceOutputModelList;
    }

    public Long getInterfaceId() {
        return interfaceId;
    }

    public void setInterfaceId(Long interfaceId) {
        this.interfaceId = interfaceId;
    }
}
